/******************************************************************************/
/* LINKER COMMAND FILE FOR LFU BOOTLOADER USING mspm0g3507  */
/* File generated on 2023-06-24 */
/*----------------------------------------------------------------------------*/


/****************************************************************************/
/* SPECIFY THE SYSTEM MEMORY MAP                                            */
/****************************************************************************/
/* The following definitions can be changed to customize the memory map for a different device
 *   or other adjustments
 *  Note that the changes should match the definitions used in MEMORY and SECTIONS
 *
 */


-uinterruptVectors

MEMORY
{
FLASH (RX) : origin = 0x12000, length = 0xe000
SRAM  (RWX) : origin = 0x20201500, length = 0x6b00
}

SECTIONS
{
    .intvecs:   > 0x12000

    .text   : palign(8) {} > FLASH
    .const  : palign(8) {} > FLASH
    .cinit  : palign(8) {} > FLASH
    .pinit  : palign(8) {} > FLASH
    .rodata : palign(8) {} > FLASH
    .ARM.exidx    :  palign(8)  {} > FLASH
    .init_array   :  palign(8)  {} > FLASH
    .binit        : palign(8) {} > FLASH
	.TI.ramfunc   : load = FLASH, palign(8), run=SRAM, table(BINIT)
  
    .vtable :   > SRAM
    .args   :   > SRAM
    .data   :   > SRAM
    .bss    :   > SRAM
    .sysmem :   > SRAM
    .stack  :   > SRAM (HIGH)
}

